LibOFX: OfxSecurityData Struct Reference

Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# OfxSecurityData Struct Reference

## Detailed Description

An abstraction of a security, such as a stock, mutual fund, etc.

The OfxSecurityData stucture is used to hols the securyty information inside a OfxTransactionData struct for investment transactions.

Definition at line 293 of file inc/libofx.h.

## Data Fields
OFX mandatory elements
The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them.
char | unique_id [OFX_UNIQUE_ID_LENGTH]
int | unique_id_valid
char | unique_id_type [OFX_UNIQUE_ID_TYPE_LENGTH]
int | unique_id_type_valid
char | secname [OFX_SECNAME_LENGTH]
int | secname_valid
OFX optional elements
The OFX spec defines the following elements as optional. If the associated *_valid is true, the corresponding element is present and the associated variable contains valid data.
char | ticker [OFX_TICKER_LENGTH]
int | ticker_valid
double | unitprice
int | unitprice_valid
time_t | date_unitprice
int | date_unitprice_valid
char | currency [OFX_CURRENCY_LENGTH]
int | currency_valid
char | memo [OFX_MEMO2_LENGTH]
int | memo_valid

## Field Documentation

char OfxSecurityData::currency

| The currency is a string in ISO-4217 format. It overrides the one defined in the statement for the unit price Definition at line 322 of file libofx-0.8.0/inc/libofx.h. Referenced by OfxSecurityContainer::add_attribute().

time_t OfxSecurityData::date_unitprice

| The date as of which the unit price was valid. Definition at line 319 of file libofx-0.8.0/inc/libofx.h. Referenced by OfxSecurityContainer::add_attribute().

char OfxSecurityData::memo

| Extra information not included in name Definition at line 326 of file libofx-0.8.0/inc/libofx.h. Referenced by OfxSecurityContainer::add_attribute().

char OfxSecurityData::secname

| The full name of the security Definition at line 304 of file libofx-0.8.0/inc/libofx.h. Referenced by OfxSecurityContainer::add_attribute().

char OfxSecurityData::ticker

| The ticker symbol of the security Definition at line 312 of file libofx-0.8.0/inc/libofx.h. Referenced by OfxSecurityContainer::add_attribute().

char OfxSecurityData::unique_id

| The id of the security being traded. Definition at line 299 of file libofx-0.8.0/inc/libofx.h. Referenced by OfxSecurityContainer::add_attribute().

char OfxSecurityData::unique_id_type

| Usially "CUSIP" for FIs in north america Definition at line 301 of file libofx-0.8.0/inc/libofx.h. Referenced by OfxSecurityContainer::add_attribute().

double OfxSecurityData::unitprice

| The price of each unit of the security, as of date_unitprice Definition at line 315 of file libofx-0.8.0/inc/libofx.h. Referenced by OfxSecurityContainer::add_attribute().

The documentation for this struct was generated from the following files:

- inc/libofx.h
- libofx-0.8.0/inc/libofx.h